<?

/*==========================天气预报小偷1.0版=========================================

程式作者:被风吹倒的男子

个人主页:www.iphp.org

   一个小时写的小程式,不好意思要使用的兄弟们为我挂连接留版权什么的,任何人可以随意修
改本程式而无须通知本人知道.任何人可以免费使用,传播本程式.但是任何使用和传播和修改的前提
是保持本说明的完整.如果在使用本代码过程中有任何疑问,可以email我,rainboy@tom.com.
欢迎大家去我的个人主页交流.如果有条件我会继续升级本程序.不过如果我比较懒的话可能就不做
升级了.默认的城市是西安,因为偶在西安嘛!

使用说明:
目前支持的城市有
北京 天津 呼和浩特 太原 石家庄 济南 青岛 合肥 上海 南京 杭州 福州 南宁 海口 广州 厦门
汕头 深圳 郑州 武汉 长沙  南昌  哈尔滨 沈阳 长春 大连 乌鲁木齐 银川 西安 西宁 兰州
重庆 昆明 成都 贵阳 香港 澳门 台北
===================================================================================*/

$city="西安";    //这里设置城市数据

//远程打开新浪的天气预报页面
$filename="http://weather.sina.com.cn/index.html";
$fp=fopen($filename,"r");
$www=fread($fp,100000);

//取得第一个时间
$riqi=strstr($www,"<td colspan=3>");
$num=strpos($riqi,"</td>")-strlen("<td colspan=3>");
$riqi=substr($riqi,strlen("<td colspan=3>"),$num);


//取得第二个时间
$riqi2=strstr($www,"colspan=3>");
$riqi2=strstr($riqi2,"<td colspan=3>");
$num=strpos($riqi2,"</td>")-strlen("<td colspan=3>");
$riqi2=substr($riqi2,strlen("<td colspan=3>"),$num);

//取得预报的数据
$city="<td>".$city."</td>";
$www=strstr($www,$city);
$ender="</tr>";
$num=strpos($www,$ender);
$www=substr($www,0,$num);

//=========处理预报数据开始========
$www=substr($www,4);
$www=explode("<td>",$www);

//定义处理函数
function sub($x)
{
$num=strpos($x,"</td>");
$real=substr($x,0,$num);
return $real;
}

//处理数据
$www[1]=sub($www[1]); //时间一天气状况
$www[2]=sub($www[2]); //时间一风向风力
$www[3]=sub($www[3]); //时间一最低温度
$www[4]=sub($www[4]); //时间二天气状况
$www[5]=sub($www[5]); //时间二风向风力
$www[6]=sub($www[6]); //时间二最高温度

//=========处理预报数据完成========

//格式化输出,了解html的兄弟可以直接修改 嘿嘿.
echo "<font size=2 color=red>";
echo $city."市天气预报:";
echo $riqi;//时间一
echo "&nbsp";
echo $www[1];
echo "&nbsp风力风向:&nbsp";
echo $www[2];
echo "&nbsp最低温度:&nbsp";
echo $www[3];
echo "&nbsp&nbsp&nbsp";
echo $riqi2;//时间二
echo "&nbsp";
echo $www[4];
echo "&nbsp风力风向:&nbsp";
echo $www[5];
echo "&nbsp最高温度:&nbsp";
echo $www[6];
echo "</font>";

?>
